Name:           dwm
Version:        5.8.2
Release:        4%{?dist}
Summary:        Dynamic window manager for X

%global         _dwmsourcedir       %{_usrsrc}/dwm-user-%{version}-%{release}

Group:          User Interface/Desktops
License:        MIT
URL:            http://dwm.suckless.org/
Source0:        http://dl.suckless.org/dwm/%{name}-%{version}.tar.gz
# dwm-start script and its manpage
Source1:        dwm-start
Source2:        dwm-start.1
# Desktop files
Source3:        dwm.desktop
Source4:        dwm-user.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel, libXinerama-devel, libxcb-devel
Requires:       dmenu, xterm

# Default Fedora configuration for dwm
Patch1:         fedora-config.patch
# Install to /usr instead of /usr/local
Patch2:         dwm-5.8.2-prefix.patch
# Fedora config changes Mod1 to Mod4, adjust manpage
Patch3:         dwm-5.8.2-modmask.patch
# Fedora notes referring to dwm-user in dwm(1)
Patch4:         dwm-5.8.2-user-notes.patch

%description
dwm is a dynamic window manager for X. It manages windows in tiled, monocle and
floating layouts. All of the layouts can be applied dynamically, optimizing
the environment for the application in use and the task performed.

%package user
Summary:        Dynamic window manager sources and tools for user configuration
Group:          User Interface/Desktops
License:        MIT
Requires:       dwm = %{version}-%{release}
Requires:       gcc, make, libX11-devel, libXinerama-devel, libxcb-devel

%description user
dwm sources and dwm-start script for individual user configuration. dwm-start
reads user's header file and creates custom dwm build for user to use on
the fly.

%prep
%setup -q
%patch1 -p1 -b .config
%patch2 -p1 -b .prefix
%patch3 -p1 -b .modmask
%patch4 -p1 -b .usernotes
sed -i "s/version=VERSION/version=%{version}/" %{SOURCE1}
sed -i "s/release=RELEASE/release=%{release}/" %{SOURCE1}
sed -i "s/VERSION/%{version}/" %{SOURCE2}
sed -i "s/RELEASE/%{release}/" %{SOURCE2}

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -m755 %{SOURCE1} %{buildroot}%{_bindir}/dwm-start
install -m644 %{SOURCE2} %{buildroot}%{_mandir}/man1/dwm-start.1
mkdir -p %{buildroot}%{_dwmsourcedir}
install -m644 config.mk %{buildroot}%{_dwmsourcedir}/config.mk
install -m644 config.def.h %{buildroot}%{_dwmsourcedir}/config.def.h
install -m644 dwm.c %{buildroot}%{_dwmsourcedir}/dwm.c
install -m644 dwm.1 %{buildroot}%{_dwmsourcedir}/dwm.1
install -m644 Makefile %{buildroot}%{_dwmsourcedir}/Makefile
mkdir -p %{buildroot}%{_datadir}/xsessions
install -m644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/dwm.desktop
install -m644 %{SOURCE4} %{buildroot}%{_datadir}/xsessions/dwm-user.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/xsessions/dwm.desktop

%files user
%defattr(-,root,root,-)
%{_bindir}/%{name}-start
%{_mandir}/man1/%{name}-start.1*
%{_datadir}/xsessions/dwm-user.desktop
%{_dwmsourcedir}

%changelog
* Tue Oct 19 2010 Petr Sabata <psabata@redhat.com> - 5.8.2-4
- dwm(1) Fedora notes update

* Tue Oct 19 2010 Petr Sabata <psabata@redhat.com> - 5.8.2-3
- dwm-start(1) fix

* Mon Oct 18 2010 Petr Sabata <psabata@redhat.com> - 5.8.2-2
- Description spelling changed to US english
- Changed /usr/src to _usrsrc macro, dwmsourcedir changed to _dwmsourcedir
- Added BuildRequires for Xinerama and xcb
- Added dwm and dwm-users desktop files

* Wed Oct 15 2010 Petr Sabata <psabata@redhat.com> - 5.8.2-1
- New package
